import request from '@/utils/request'

// // 登录
// export function login(data) {
// 	return request({
// 		url: '/login',
// 		method: 'post',
// 		data
// 	});
// }
// 注册
export function register(data) {
	return request({
		url: '/register',
		method: 'post',
		data
	});
}
// 验证码
export function verify(data) {
	// type=register为注册
	// type=login为登录
	return request({
		url: '/register/verify',
		method: 'post',
		data
	});
}

// 获取用户信息
export function getUserInfo(data) {
	return request({
		url: '/userinfo',
		method: 'get',
		data
	});
}

// 短信登录
export function loginMobile(data) {
	return request({
		url: '/login/mobile',
		method: 'post',
		data
	});
}
// #ifdef APP-PLUS
// 微信授权登录
export function loginWx(data) {
	return request({
		url: '/wechat/appauth',
		method: 'get',
		data
	});
}
// #endif
//绑定手机号
export function bangding(data) {
	return request({
		url: '/binding',
		method: 'POST',
		data
	});
}

//
export function gologin(data) {
	return request({
		url: '/Login/loginsubmit',
		method: 'get',
		data
	})
}

export function getYzm(data) {
	return request({
		url: '/Login/sendcode',
		method: 'get',
		data
	})
}
export function zc(data) {
	return request({
		url: '/Login/upregister',
		method: 'get',
		data
	})
}

export function getForget(data) {
	return request({
		url: '/Login/findsendcode',
		method: 'get',
		data
	})
}

//
export function resetpwd(data) {
	return request({
		url: '/Login/resetpwd',
		method: 'post',
		data
	})
}

export function getUser(data) {
	return request({
		url: '/user/userinfo',
		method: 'get',
		data
	})
}
export function loginout(data) {
	return request({
		url: '/Login/loginout',
		method: 'get',
		data
	})
}
//oldpwd newpwd
export function changepass(data) {
	return request({
		url: '/Index/sub_respwd',
		method: 'get',
		data
	})
}

export function upauthrz(data) {
	return request({
		url: '/User/upauthrz',
		method: 'get',
		data
	})
}

export function coininfo(data) {
	return request({
		url: '/User/coininfo',
		method: 'get',
		data
	})
}

export function bill(data) {
	return request({
		url: '/User/bill',
		method: 'get',
		data
	})
}

export function transfer(data) {
	return request({
		url: '/User/transfer',
		method: 'get',
		data
	})
}

export function tradelist(data) {
	return request({
		url: '/Trade/tradelist',
		method: 'get',
		data
	})
}

export function uptxt(data) {
	return request({
		url: '/User/uptxt',
		method: 'get',
		data
	})
}

export function getlineinfo(data) {
	return request({
		url: '/User/getlineinfo',
		method: 'get',
		data
	})
}
// 獲取幣種詳情
export function bauhinia(data) {
	return request({
		url: '/Trade/bauhinia',
		method: 'get',
		data
	})
}

//幣幣買入
export function upbbbuy(data) {
	return request({
		url: '/Trade/upbbbuy',
		method: 'get',
		data
	})
}

//幣幣賣出
export function upbbsell(data) {
	return request({
		url: '/Trade/upbbsell',
		method: 'get',
		data
	})
}
//幣幣記錄
export function tradebill(data) {
	return request({
		url: '/Trade/tradebill',
		method: 'get',
		data
	})
}
//撤銷當前幣幣交易
export function clearorder(data) {
	return request({
		url: '/Trade/clearorder',
		method: 'get',
		data
	})
}